%define name camlgrenouille

%define version 1.10
%define release 6mdk

%define title   Camlgrenouille
%define longtitle Broadband connection test program

Summary:        %longtitle
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Networking/Other
Url:		http://pauillac.inria.fr/~aschmitt/camlgrenouille/

Source0:        %name-%version.tar.bz2
# Make 3 icons %name-{16,32,48}.png and then tar cjf %name-icons.tar.bz2 *png
Source1:        %name-icons.tar.bz2

BuildRoot:      %_tmppath/%name-buildroot

Buildrequires: ocaml
Requires: rxvt

%description
This software is meant to test for your broadband connection,
and sends the results to www.grenouille.com
# Put the  description here.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
# unpack icons:
%setup -q -T -D -a1

%build
touch build_linux
%make depend
%make

%install
#installation des executables
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -D -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D -m 755 grenouille $RPM_BUILD_ROOT%{_bindir}/grenouille

#installation des fichiers de config
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -D -m 644 user.config $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/user.config
install -D -m 755 shell_ifconfig.sh $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/shell_ifconfig.sh

# icon
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): \
command="xvt -e %{_bindir}/%{name} -f %{_sysconfdir}/%{name}/user.config" \
needs="X11" \
icon="%{name}.png" \
section="Internet/Other" \
title="%{title}" \
longtitle="%{longtitle}"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README INSTALL README.mdk
%doc script_demarrage.sh
%_bindir/*
%config(noreplace) %_sysconfdir/*
%_menudir/%name

%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Thu Feb 12 2004 David Baudens <baudens@mandrakesoft.com> 1.10-6mdk
- Fix menu

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 1.10-5mdk
- Fix menu

* Tue Oct 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10-4mdk
- Requires s/xvt/rxvt/ until xvt package or ptovides does not exists

* Tue Oct 28 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.10-3mdk
- Remove dependency on ocaml (not needed at runtime)
- Replace xterm by xvt

* Tue Sep 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10-2mdk
- From: Julien Catalano <julien.catalano@free.fr>
    - Fix grenouille shell script (adding $*);
    - Add README.mdk to help Mandrake Linux user to configure and run easily Camlgrenouille.

* Sun Sep 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10-1mdk
- From Julien Catalano <julien.catalano@free.fr>
	- Creating RPM for Mandrake Linux.
